﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
namespace HierarchyDemo
{
    public class DataCollection1 : INotifyPropertyChanged
    {
        private string id;
        public string ID
        {
            get
            { return id; }
            set
            {
               id = value;
                OnPropertyChanged("id");
            }
        }
        private string nam;
        public string Name
        {
            get
            { return nam; }
            set
            {
                nam = value;
                OnPropertyChanged("Name");
            }
        }


        private string supplierid;
        public string SupplierID
        {
            get
            { return supplierid; }
            set
            {
                supplierid = value;
                OnPropertyChanged("supplierid");
            }
        }
        private string name;
        public string ContactName
        {
            get { return name; }
            set
            {
                name = value;
                OnPropertyChanged("name");
            }
        }
        private string title;
        public string ContactTitle
        {
            get { return title; }
            set
            {
                title = value;
                OnPropertyChanged("title");
            }
        }
        private string region;
        public string Region
        {
            get { return region; }
            set
            {
                region = value;
                OnPropertyChanged("region");
            }
        }
        
        private string city;
        public string City
        {
            get { return city; }
            set
            {
                city = value;
                OnPropertyChanged("city");
            }
        }
       
        private string country;
        public string Country
        {
            get { return country; }
            set
            {
                country = value;
                OnPropertyChanged("country");
            }
        }
        

        
        public event PropertyChangedEventHandler PropertyChanged;

        public void OnPropertyChanged(string propertyname)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyname));
        }

    }
}
