﻿#region Copyright Syncfusion Inc. 2001 - 2013
// Copyright Syncfusion Inc. 2001 - 2013. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Data;
using Syncfusion.Windows.Controls.Grid;



using System.Collections.ObjectModel;

namespace HierarchyDemo
{
    public class ViewModel : INotifyPropertyChanged
    {



        public ViewModel()
        {
       
            employee = new ObservableCollection<DataCollection1>();
          
           
            employee.Add(new DataCollection1() { SupplierID = "34233", ContactName = "Raja", ContactTitle = "sync", Region = "India", City = "Trichy",  Country = "India"  });
            employee.Add(new DataCollection1() { SupplierID = "12234", ContactName = "Shahul", ContactTitle = "sync", Region = "USA", City = "Trichy",  Country = "USA" });
            employee.Add(new DataCollection1() { SupplierID = "12345", ContactName = "Kamal", ContactTitle = "sync", Region = "India", City = "Delhi",  Country = "India"});
            employee.Add(new DataCollection1() { SupplierID = "23564", ContactName = "Rogeos", ContactTitle = "sync", Region = "UK", City = "Calcutta",  Country = "India" });
            employee.Add(new DataCollection1() { SupplierID = "12344", ContactName = "Hendry", ContactTitle = "sync", Region = "India", City = "CHENNAI", Country = "india" });
            employee.Add(new DataCollection1() { SupplierID = "267844", ContactName = "Christ", ContactTitle = "sync", Region = "India", City = "Mumbai",  Country = "UK" });
            employee.Add(new DataCollection1() { SupplierID = "890844", ContactName = "Antony", ContactTitle = "sync", Region = "UK", City = "Trichy",  Country = "india" });
            employee.Add(new DataCollection1() { SupplierID = "2156743", ContactName = "Vignesh", ContactTitle = "sync", Region = "India", City = "CHENNAI",  Country = "UK" });
            employee.Add(new DataCollection1() { SupplierID = "1232222", ContactName = "Gowthum", ContactTitle = "sync", Region = "UK", City = "Trichy", Country = "India" });

        }
        
        private ObservableCollection<DataCollection1> employee;
        public ObservableCollection<DataCollection1> Employee
        {
            get
            { return employee; }
            set
            {
                employee = value;
                OnPropertyChanged("employee");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(string Propertyname)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(Propertyname));
        }


    }
}